<!doctype html>
<script type="text/javascript">
    function email(){
    let email =document.getElementById("emal").value;
    let regx = /^[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$/;
    if(regx.test(email))
    {
        // alert("Valid email");
        document.getElementById("emailIVlabel").style.visibility="hidden";
        document.getElementById("emailVlabel").style.visibility="visible";
        
    }
    else
    {
        document.getElementById("emailVlabel").style.visibility="hidden";
        document.getElementById("emailIVlabel").style.visibility="visible"
        // alert("Invalid email");
    }
    }
    function creditCard(){
        let creditcard =document.getElementById("crtcrd").value;
    let regx = /^(?:(4[0-9]{12}(?:[0-9]{3})?)|(5[1-5][0-9]{14})|(6(?:011|5[0-9]{2})[0-9]{12})|(3[47][0-9]{13})|(3(?:0[0-5]|[68][0-9])[0-9]{11})|((?:2131|1800|35[0-9]{3})[0-9]{11}))$/;
    if(regx.test(creditcard))
    {
        console.log("inside if credit card " )
        //378282246310006
        // alert("Valid email");
        document.getElementById("crtcrdIVlabel").style.visibility="hidden";
        document.getElementById("crtcrdVlabel").style.visibility="visible";
        
    }
    else
    {
        document.getElementById("crtcrdVlabel").style.visibility="hidden";
        document.getElementById("crtcrdIVlabel").style.visibility="visible"
        // alert("Invalid email");
    }
    }
    function password(){
        
        let regx = /^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]$/;
        let passwordOne =document.getElementById("paswrdOne").value;
        let passwordTwo =document.getElementById("paswrdTwo").value;
    if(passwordOne===passwordTwo &&(regx.test((passwordOne))))
    {
       
        console.log("inside if credit card " )
        // alert("Valid email");
        document.getElementById("paswrdIVlabel").style.visibility="hidden";
        document.getElementById("paswrdVlabel").style.visibility="visible";
        document.getElementById("paswrdIVPatrnlabel").style.visibility="hidden";
        
    }
    else if(passwordOne===passwordTwo &&!(regx.test((passwordOne)))){
        
        document.getElementById("paswrdIVPatrnlabel").style.visibility="visible";
        document.getElementById("paswrdIVlabel").style.visibility="hidden";
        document.getElementById("paswrdVlabel").style.visibility="visible";
    }
    else if(!(passwordOne===passwordTwo) && (regx.test((passwordOne)))){
        document.getElementById("paswrdVlabel").style.visibility="hidden";
        document.getElementById("paswrdIVlabel").style.visibility="visible";
        document.getElementById("paswrdIVPatrnlabel").style.visibility="hidden";
        // alert("Invalid email");
    }
    } 
    
</script>
<script>
</script>
<body>
    <form action="message.html">
        
        <h3>Password verification</h3>
        <input id="paswrdOne" placeholder="Enter password" type="password"/><br>
        <input id="paswrdTwo" placeholder="Re-enter password" type="password"/><br>
        <label id="paswrdIVPatrnlabel" style="color: red;visibility: hidden;">Password is not valid</label><br>
        <label id="paswrdIVlabel" style="color: red;visibility: hidden;">Password is not same</label><br>  
        <label id="paswrdVlabel" style="color: green;visibility: hidden;">Password is same</label><br>
        <button onclick="password()" type="button">Submit</button>
        <br><br>
        <h3>Email</h3>
        <input id="emal" placeholder="email" type="text"/><br>
        <label id="emailIVlabel" style="color: red;visibility: hidden;">Invalid Username</label><br>  
        <label id="emailVlabel" style="color: green;visibility: hidden;">Valid Username</label><br>

        <button onclick="email()" type="button">Submit</button>
        <br><br>
        <h3>Credit Card number</h3>
        <input id="crtcrd" placeholder="Credit card no." type="text"/><br>
        <label id="crtcrdIVlabel" style="color: red;visibility: hidden;">Invalid credit card no</label><br>  
        <label id="crtcrdVlabel" style="color: green;visibility: hidden;">Valid credit card no</label><br>
        
        <button onclick="creditCard()" type="button">Submit</button>
    
    </form>
</body>

</html>